namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "dragon_ascent")]
public class DragonAscent : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        EventBatchId batchId = new();
        move.User.ChangeStatBoost(Statistic.Defense, -1, true, false, batchId);
        move.User.ChangeStatBoost(Statistic.SpecialDefense, -1, true, false, batchId);
    }
}